#
# spec file for package httpsegmenter (svn r12) openSuSE 11.x
#
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to monex@liquid-co.de
#

# norootforbuild

Name:           httpsegmenter
%if 0%{?suse_version} != 1210
BuildRequires:  gcc gcc-c++ libffmpeg-devel libx264-devel libvpx-devel
%else
BuildRequires:  gcc gcc-c++ libffmpeg-devel libx264-devel
%endif
License:        GPL
Group:          Productivity/Networking/Web/Servers
Summary:        Segments live video streams
Version:        0.1.p2fs3
Release:        7.1
URL:            http://code.google.com/p/httpsegmenter
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Patch0:         fix-ffmpeg-api-changes.patch
Patch1:         fix-linking.patch

%define progname segmenter

%description
Segments live video streams based on the Apple HTTP Live Streaming protocol


%debug_package
%prep

%setup -q
%patch0 -p1
%if 0%{?suse_version} != 1210
%patch2 -p1
%endif

%build
make

%install
install -d 755 %buildroot/usr/bin/
install -m 755 %{progname} %buildroot/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/%{progname}
%doc COPYING.txt


%post
/sbin/ldconfig

%changelog
* Fri Apr 18 2014 - monex@liquid-co.de
- fix build for 12.1
* Sun Jan 05 2014 - monex@liquid-co.de
- fix ffmpeg api changes
* Mon Mar 25 2013 - monex@liquid-co.de
- fix library dependency to libx264-devel
* Tue Oct 16 2012 - monex@liquid-co.de
- rebuild due to ffmpeg library change
* Sun Jul 29 2012 - monex@liquid-co.de
- fix ffmpeg api changes
